Bug 704959 - [Alviso] corrupted glyphs on EeePC 701 4G
Summary: [Alviso] corrupted glyphs on EeePC 701 4G
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:rendering]
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-16 07:29 UTC by Paul Menzel
Modified: 2018-04-11 09:58 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-07 14:37:35 UTC


Attachments (Terms of Use)
only file in /etc/X11/xorg.conf.d/ (321 bytes, text/plain)
2011-05-18 15:04 UTC, Paul Menzel
no flags Details
X server log file from `/var/log/Xorg.0.log` (50.47 KB, text/plain)
2011-05-18 15:06 UTC, Paul Menzel
no flags Details
output of `dmesg` when adding `drm.debug=0x04` to Linux kernel command line (123.41 KB, text/plain)
2011-05-18 15:08 UTC, Paul Menzel
no flags Details
system log from `/var/log/messages` (798.90 KB, text/plain)
2011-05-18 15:11 UTC, Paul Menzel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 36326 None None None Never
Debian BTS 614296 None None None Never
Launchpad 745608 None None None Never

Description Paul Menzel 2011-05-16 07:29:32 UTC
Trying Fedora 15 Beta Live on my Asus EeePC 701 4G I noticed the same graphical corruptions as reported in [1].

It could be that this needs to be fixed in the Linux kernel, but this patch has not been applied to 2.6.38.x yet [2][3], so I could not test yet.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=614296
[2] http://lists.freedesktop.org/archives/intel-gfx/2011-March/009742.html
[3] http://lists.freedesktop.org/archives/intel-gfx/2011-May/010709.html

Comment 1 Matěj Cepl 2011-05-16 10:02:08 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Paul Menzel 2011-05-18 15:04:37 UTC
Created attachment 499616 [details]
only file in /etc/X11/xorg.conf.d/

Comment 3 Paul Menzel 2011-05-18 15:06:16 UTC
Created attachment 499617 [details]
X server log file from `/var/log/Xorg.0.log`

Comment 4 Paul Menzel 2011-05-18 15:08:19 UTC
Created attachment 499619 [details]
output of `dmesg` when adding `drm.debug=0x04` to Linux kernel command line

Comment 5 Paul Menzel 2011-05-18 15:11:01 UTC
Created attachment 499621 [details]
system log from `/var/log/messages`

Comment 6 Paul Menzel 2011-05-18 15:16:15 UTC
(In reply to comment #1)

[…]

> Please add drm.debug=0x04 to the kernel command line, restart computer, and
> attach
> 
> * your X server config file (/etc/X11/xorg.conf, if available),
> * X server log file (/var/log/Xorg.*.log)
> * output of the dmesg command, and
> * system log (/var/log/messages)
>
> to the bug report as individual uncompressed file attachments using the
> bugzilla file attachment link above.

Thank you for the quick reply. I attached the files you requested.

> We will review this issue again once you've had a chance to attach this
> information.

Thank you!

I just wanted to note that adding `drm.debug=0x04` to the Linux kernel command line seemed to have improved the responsiveness of the graphical system. But that is just a feeling.

And maybe to explain some messages of the logs, I tried to update the system which did not work. Firefox was opened in parallel and it seemed the system started to swap at some time and was very unresponsive. Opening a second `gnome-terminal` got the GNOME session to crash and it asked me to log out. But there was just a black screen then – probably the GPU could not be reset – and I copied the files from `tty0`.

I did not know how to restart GDM and a `halt` could not shut down the system and I had to push the power button for 10 s.

Comment 7 Sitsofe Wheeler 2011-05-19 17:00:44 UTC
That graphical corruption is also reported on https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/745608 and https://bugs.freedesktop.org/show_bug.cgi?id=36326 ...

Comment 8 Fedora End Of Life 2012-08-07 14:37:38 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.